Subject: x2go broker with no authentication
From: Magnus Hagdorn <[email-masked]>
To: [email-masked]
Date: Fri, 12 Jun 2015 12:14:23 +0100

Hi there,
I am looking into setting up an x2go service. It's working fine without 
a broker, but I would like to be able to setup sessions on the server 
side which requires a broker.

I would like to avoid users having to authenticate twice, once against 
the broker and once against the actual x2go service. So, I am thinking 
of disabling authentication for the broker. AFAICS, the broker would 
only leak a session ID and the name of the x2go server given a valid 
username. The user will still have the authenticate in the usual manner 
to the x2go service.

I would just like to make sure that I am not overlooking some obvious issue?

Cheers
magnus

-- 
Magnus Hagdorn
Specialist Computing Officer
School of GeoSciences
The University of Edinburgh
Grant Institute
James Hutton Road
Edinburgh EH9 3FE
Scotland
PHONE: (+44) 131 650 5894
FAX:   (+44) 131 650 7340
email: [email-masked]

The University of Edinburgh is a charitable body, registered in
Scotland, with registration number SC005336.